diff -ru random-agent-spoofer-a/data/html/options-panel.html random-agent-spoofer-b/data/html/options-panel.html
--- random-agent-spoofer-a/data/html/options-panel.html	2018-11-19 15:32:28.000000000 -0500
+++ random-agent-spoofer-b/data/html/options-panel.html	2018-11-26 21:02:03.300397170 -0500
@@ -362,7 +362,6 @@
 			<input type="checkbox" id="geo" data-invertvalue="false" data-prefname="geo.enabled" />
 			<label for="geo">Enable geolocation using</label>
 			<select id="geodd" class="dd" data-prefname="geo.wifi.uri" >
-				<option value="https://www.googleapis.com/geolocation/v1/geolocate?key=%GOOGLE_API_KEY%">google's service</option>
 				<option value="https://location.services.mozilla.com/v1/geolocate?key=%MOZILLA_API_KEY%">mozilla's service</option>
 			</select>
 		</p>
@@ -627,7 +626,7 @@
 
 	<ul>
 		<li><a href="https://github.com/gitbugged/random-agent-spoofer" target="_blank">Source code</a></li>
-		<li><a href="https://github.com/dillbyrne/random-agent-spoofer/wiki/Bug-reporting-guide" target="_blank">Report problems</a></li>
+		<li><a href="https://issues.hyperbola.info/index.php?string=iceweasel-uxp&project=4" target="_blank">Report problems</a></li>
 	</ul>
 
 	<h3>Community</h3>
@@ -635,7 +634,7 @@
 	<ul>
 		<li><a href="https://github.com/dillbyrne/random-agent-spoofer/wiki" target="_blank">Wiki</a></li>
 		<li><a href="https://github.com/dillbyrne/random-agent-spoofer/wiki/user-manual" target="_blank">User manual</a></li>
-		<li><a href="https://github.com/dillbyrne/random-agent-spoofer/labels/enhancement" target="_blank">Suggest improvements</a></li>
+		<li><a href="https://issues.hyperbola.info/index.php?string=iceweasel-uxp&project=4" target="_blank">Suggest improvements</a></li>
 	</ul>
 </div> <!-- end "help" tab-->
 
Only in random-agent-spoofer-a/data/images: .directory
diff -ru random-agent-spoofer-a/install.rdf random-agent-spoofer-b/install.rdf
--- random-agent-spoofer-a/install.rdf	2018-11-23 13:34:01.000000000 -0500
+++ random-agent-spoofer-b/install.rdf	2018-11-26 20:59:35.066406278 -0500
@@ -13,7 +13,7 @@
           <em:homepageURL>https://github.com/gitbugged/random-agent-spoofer</em:homepageURL>
           <em:optionsURL>data:text/xml,&lt;placeholder/&gt;</em:optionsURL>
           <em:optionsType>2</em:optionsType>
-
+          <!-- Iceweasel-UXP -->
           <em:targetApplication>
             <Description>
               <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
@@ -21,7 +21,15 @@
               <em:maxVersion>*</em:maxVersion>
 </Description>
 </em:targetApplication>
-
+          <!-- Iceape-UXP -->
+          <em:targetApplication>
+            <Description>
+              <em:id>{9184b6fe-4a5c-484d-8b4b-efbfccbfb514}</em:id>
+              <em:minVersion>52.0</em:minVersion>
+              <em:maxVersion>*</em:maxVersion>
+</Description>
+</em:targetApplication>
+          <!-- Fennec -->
           <em:targetApplication>
             <Description>
               <em:id>{aa3c5121-dab2-40e2-81ca-7ea25febc110}</em:id>
@@ -29,7 +37,7 @@
               <em:maxVersion>*</em:maxVersion>
 </Description>
 </em:targetApplication>
-
+          <!-- SeaMonkey -->
           <em:targetApplication>
             <Description>
               <em:id>{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}</em:id>
@@ -37,7 +45,7 @@
               <em:maxVersion>*</em:maxVersion>
 </Description>
 </em:targetApplication>
-
+          <!-- PaleMoon -->
           <em:targetApplication>
             <Description>
               <em:id>{8de7fcbb-c55c-4fbe-bfc5-fc555c87dbc4}</em:id>
